Subject: Re: [PATCH v2 16/22] i18n: rebase-interactive: mark comments of squash for translation

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 May 2016 15:35:21 -0700

Vasco Almeida <[email-masked]> writes:

> Helper functions this_nth_commit_message and skip_nth_commit_message
> replace the previous method of making the comment messages (such as
> "This is the 2nd commit message:") aided by nth_string helper function.
> This step was taken as a workaround to enabled translation of entire
> sentences. However, doesn't change any text seen in English by the user,
> except for string "The first commit's message is:" which was changed to
> match the style of other instances.

If only the original were written as "This is the commit message
$N", you didn't have to do a lot of work like this, but such is
life.  Thanks for working on this.